Package com.enonic.xp.blob

## Class NodeVersionKey

- java.lang.Object
- - com.enonic.xp.blob.NodeVersionKey

-     public final class NodeVersionKey
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeVersionKey.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeVersionKey.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `static NodeVersionKey` | `from​(BlobKey nodeBlobKey, BlobKey indexConfigBlobKey, BlobKey accessControlBlobKey)` |
    `static NodeVersionKey` | `from​(String nodeBlobKey, String indexConfigBlobKey, String accessControlBlobKey)` |
    `BlobKey` | `getAccessControlBlobKey()` |
    `BlobKey` | `getIndexConfigBlobKey()` |
    `BlobKey` | `getNodeBlobKey()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getNodeBlobKey

          public BlobKey getNodeBlobKey()

    - #### getIndexConfigBlobKey

          public BlobKey getIndexConfigBlobKey()

    - #### getAccessControlBlobKey

          public BlobKey getAccessControlBlobKey()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### from

          public static NodeVersionKey from​(BlobKey nodeBlobKey,
                                            BlobKey indexConfigBlobKey,
                                            BlobKey accessControlBlobKey)

    - #### from

          public static NodeVersionKey from​(String nodeBlobKey,
                                            String indexConfigBlobKey,
                                            String accessControlBlobKey)

    - #### create

          public static NodeVersionKey.Builder create()